## Apache Zeta Components Manual :: Docs For Class ezcDocumentEzXmlDummyLinkProvider

### Document::ezcDocumentEzXmlDummyLinkProvider

### Class ezcDocumentEzXmlDummyLinkProvider

Class providing access to links referenced in eZXml documents by url IDs, node IDs or object IDs.

Source for this file: /Document/src/document/xml/ezxml/dummy_link_provider.php

    ezcDocumentEzXmlLinkProvider
       |
       --ezcDocumentEzXmlDummyLinkProvider

Version: | //autogen//

### Method Summary

public string | `fetchUrlById( $id , $view , $show_path )` Fetch URL by ID
public string | `fetchUrlByNodeId( $id , $view , $show_path )` Fetch URL by node ID
public string | `fetchUrlByObjectId( $id , $view , $show_path )` Fetch URL by ID

### Inherited Methods

From ezcDocumentEzXmlLinkProvider
public abstract string | `ezcDocumentEzXmlLinkProvider::fetchUrlById()` Fetch URL by ID
public abstract string | `ezcDocumentEzXmlLinkProvider::fetchUrlByNodeId()` Fetch URL by node ID
public abstract string | `ezcDocumentEzXmlLinkProvider::fetchUrlByObjectId()` Fetch URL by ID

### Methods

#### fetchUrlById

string fetchUrlById( string $id , string $view , string $show_path )

Fetch URL by ID

Fetch and return URL referenced by url_id property.

##### Parameters:

Name | Type | Description
--- | --- | ---
`$id` | string |
`$view` | string |
`$show_path` | string |

##### Redefinition of:

Method | Description
--- | ---
`ezcDocumentEzXmlLinkProvider::fetchUrlById()` | Fetch URL by ID

#### fetchUrlByNodeId

string fetchUrlByNodeId( string $id , string $view , string $show_path )

Fetch URL by node ID

Create and return the URL for a referenced node.

##### Parameters:

Name | Type | Description
--- | --- | ---
`$id` | string |
`$view` | string |
`$show_path` | string |

##### Redefinition of:

Method | Description
--- | ---
`ezcDocumentEzXmlLinkProvider::fetchUrlByNodeId()` | Fetch URL by node ID

#### fetchUrlByObjectId

string fetchUrlByObjectId( string $id , string $view , string $show_path )

Fetch URL by ID

Create and return the URL for a referenced object.

##### Parameters:

Name | Type | Description
--- | --- | ---
`$id` | string |
`$view` | string |
`$show_path` | string |

##### Redefinition of:

Method | Description
--- | ---
`ezcDocumentEzXmlLinkProvider::fetchUrlByObjectId()` | Fetch URL by ID

Documentation generated by phpDocumentor 1.4.3